<!DOCTYPE html>
<html lang="en">
<head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0 shrink-to-fit=no">
        <title>Bootstrap- Grid System</title>

        <!-- BOOTSTRAP 4.6 CSS -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

        
</head>

<body>

    <h1 class="text text-white bg-primary">Bootstrap- Grid System</h1>

    <div class="container-fluid">
        
        <!-- A div column can occupy more than 1 column. We may create layouts wherein one div occupies 8 columns and another one occupies 4 columns. -->
            <!-- 12 columns = 1 row 
            Syntax to define the number of columns a div will occupy in a row:
                col-breakpoint-numberofColumns(must not exceed 12 to avoid overflow)
            -->

        <div class="row">
            <!-- div 1 -->
            <div class="bg-success border border-dark col-md-8">
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Necessitatibus quaerat sunt ducimus, dolorum dignissimos sed reiciendis, a voluptate nisi nam cumque perferendis debitis quia. Consequatur dignissimos sint neque porro facere.
            </div>  

            <!-- div 2 -->
            <div class="bg-warning border border-dark col-md-8">
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Necessitatibus quaerat sunt ducimus, dolorum dignissimos sed reiciendis, a voluptate nisi nam cumque perferendis debitis quia. Consequatur dignissimos sint neque porro facere.
            </div>            
        </div>
        <!-- end div row -->
        
        <h2 class="text-center">Rows with 2 equal columns</h2>
        <h3 class="text-center">1:1 ratio</h3>
        <div class="row mt-3">
            <div class="bg-primary py-3 border border-dark col-6">
                <h2 class="text-center">6 columns</h2>
                <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Nobis, cupiditate.</p>
            </div>
            <div class="bg-danger py-3 border border-dark col-6">
                6 column
            </div>
        </div>
        <!-- end row 1:1 -->

        <h3 class="text-center">1:2 Ratio</h3>
        <div class="row">            
            <div class="bg-success py-3 border border-dark col-4">
                4 col
            </div>
            <div class="bg-info py-3 border border-dark col-8">
                8 col
            </div>
        </div>
    </div>

    <!-- Mini-Activity:
    Create a row with columns in 1:3 ratio. Meaning one of the columns is thrice as big as the
other one.

bg-colors: warning(bigger column) and danger(smaller)
add dark border per column

output should post at our B145 Hangouts-->

<div class="container-fluid text-center">
    <h3 class="text-center">1:3 Ratio</h3>
    <div class="row">
        <div class="bg-danger border border-dark py-3 col-3">
            3 col
        </div>
        <div class="bg-warning border border-dark py-3 col-9">
            9 col
        </div>
    </div>

    <h2 class="text-center">Rows with three columns</h2>
    <h3 class="text-center">1:1:1</h3>
    <div class="row">
        <div class="bg-primary py-3 border border-dark col-4">4 col</div>
        <div class="bg-secondary py-3 border border-dark col-4">4 col</div>
        <div class="bg-danger py-3 border border-dark col-4">4 col</div>
    </div>

    <!-- Mini-Activity -->
    <h3 class="text-center">1:2:1</h3>
    <div class="row">
        <div class="bg-warning py-3 border border-dark col-3">3 col</div>
        <div class="bg-success py-3 border border-dark col-6">6 col</div>
        <div class="bg-warning py-3 border border-dark col-3">3 col</div>
    </div>

    <h2 class="text-center">Auto Columns</h2>
    <!-- Auto columns are columns which adjust themselves to the number of columns left in a row. -->
    <div class="row">
        <div class="bg-success py-5 border border-dark col">Auto 1</div>
        <div class="bg-success py-5 border border-dark col">Auto 2</div>
        <div class="bg-primary py-5 border border-dark col-8">col 8</div>
        <div class="bg-success py-5 border border-dark col">Auto 4</div>
        <div class="bg-success py-5 border border-dark col">Auto 5</div>
    </div>
    <!-- end pf auto column div -->

    <h3 class="text-center">Rows with uneven columns</h3>
    <div class="row">
        <div class="bg-info py-5 border border-dark col-7">col 7</div>
        <div class="bg-info py-5 border border-dark col-5">col 5</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
        <div class="bg-info py-5 border border-dark col-4">col 4</div>
    </div>
    <!-- end of uneven columns -->

    <h2 class="text-center">Responsive Columns</h2>
    <!-- Breakpoints
    
        You can set the numbet of columns a div occupies per screen using breakpoints
    however, by default, from the smallest screen a div especially with class col will
occupy 12 columns

breakpoints are the screen or point wherein the number of columns considered changes
based on the screen size. So from the smallest screen,  a div may occupy the whole row
but in a large screen it only occupies 6 columns

Since bootstrap was designed with mobile-first approach in mind, the default breakpoint
is for the smallest screen.
Meaning until you add a breakpoint (sm-md-lg-xl),  the number of columns a div will
occupy will be the same from the smallest to largest screen

col-6 (div is columns from smallest screen up to the largest)
col-md-6 (div 6 columns only from medium to largest)

default and sm are screens about the size of smartphones
md- screen sizes about the size of a regular ipad
lg- screen size about the size of a dekstop/laptop screen
xl- screen size about the size of a larger desktop/laptop screen-->
    
    <div class="row">
        <div class="bg-secondary py-3 border border-dark col-md-4">
            4 cols md to lg
        </div>
        <div class="bg-primary py-3 border border-dark col-md-6">
            6 cols md to lg
        </div>
        <div class="bg-danger py-3 border border-dark col-md-2">
            2 cols md to lg
        </div>
    </div>
    <!-- end of responsive column -->

    <div class="row">
        <div class="bg-dark border border-white col-4">col 4 from sm to lg</div>
        <div class="bg-primary border border-dark col-8 col-md-6">8 col 6 cols from md to lg</div>
    </div>

    <!-- Breakpoints:
    If a  -->

    <div class="row mt-5">
        <div class="bg-primary border border-dark col-6">col</div>
        <div class="col-6 col-md-10 bg-danger border border-dark">col</div>
    </div>

    <div class="row mt-3">
        <div class="col-12 col-md-8 bg-success border border-dark">col</div>
        <div class="col-6 col-md-2 bg-info border border-dark">col</div>
        <div class="col-6 col-md-2 bg-success border border-dark">col</div>
    </div>
</div>







        <!-- BOOTSTRAP JAVASCRIPT -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>